Appearance
Visits
Access visit history to saved places.
Get List of Visits
Get a a list of visits to all places for a given driver, vehicle or place. A visit begins at the trip point a car enters a geofence, and ends at the point they exit.
GET
http
https://api.zubiecar.com/api/v2/zinc/places/visitsQuery Parameters
| Property | Type | Description |
|---|---|---|
| driver_key | string | Filter results to visits to a single driver. |
| vehicle_key | string | Filter results to a single vehicle. |
| place_key | string | Filter results to a single place. |
| entry_after | string | Filter results to only include visits that started after this timestamp. |
| entry_before | string | Filter results to only include visits that started before this timestamp. |
| cursor | string | The cursor string used for pagination, signifying the object ID where to start the results. |
| size | string | The number of results to return per call. Defaults to 10 if not provided. |
Sample response 200
json
{
"visits": [
{
"vehicle_key": "SampleKey",
"created": "2018-02-20 12:00:00",
"duration_trips": 280,
"entry_driver_key": "SampleKey",
"entry_event_key": "SampleKey",
"entry_point": {
"lat": 40.74778,
"lon": -73.99889
},
"entry_timestamp": "2018-02-20 12:00:00",
"entry_trip_key": "SampleKey",
"exit_driver_key": "SampleKey",
"exit_event_key": "SampleKey",
"exit_point": {
"lat": 40.74778,
"lon": -73.99889
},
"exit_timestamp": "2018-02-20 13:00:00",
"exit_trip_key": "SampleKey",
"place_key": "SampleKey",
"key": "SampleKey",
"status": "complete",
"updated": "2018-02-20 12:00:00"
}
]
}
